package com.yonge.cooleshow.biz.dal.enums;

import com.baomidou.mybatisplus.annotation.EnumValue;
import com.yonge.toolset.base.enums.BaseEnum;

/**
 * 订单类型
 *
 * @Author: liweifan
 * @Data: 2022/3/31 14:59
 */
public enum OrderTypeEnum implements BaseEnum<String, OrderTypeEnum> {
    VIP("开通会员"),
    SVIP("开通会员 SVIP"),
    PRACTICE("趣纠课购买"),
    LIVE("直播课购买"),
    VIDEO("视频课购买"),
    MUSIC("单曲点播"),
    PIANO_ROOM("琴房时长"),
    ACTI_REGIST("活动报名"),
    ALBUM("专辑购买"),
    TENANT_ALBUM("平台专辑"),
    VIP_COURSE("VIP定制课"),
    DISCOUNT("畅学卡")
    ;
    @EnumValue
    private String code;
    private String msg;

    OrderTypeEnum(String msg) {
        this.code = this.name();
        this.msg = msg;
    }

    public String getMsg() {
        return this.msg;
    }

    @Override
    public String getCode() {
        return this.code;
    }

}
